#
# Example 24-14
# Keeping the accelerator display up to date.
#

proc Menu_Bind { what sequence menuName label } {
	global menu
	set m [MenuGet $menuName]
	if [catch {$m index $label} index] {
		error "$label not in menu $menuName"
	}
	set command [$m entrycget $index -command]
	bind $what $sequence $command
	$m entryconfigure $index -accelerator $sequence
}


